### Constructor

# Soup Message new_from_multipart

#### Declaration [src]

    SoupMessage*
    soup_message_new_from_multipart (
      const char* uri_string,
      SoupMultipart* multipart
    )

#### Description [src]

Creates a new `SoupMessage` and sets it up to send `multipart` to `uri_string` via POST.

#### Parameters

`uri_string`

  Type: `const char*`

  The destination endpoint.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`multipart`

  Type: `SoupMultipart`

  A `SoupMultipart`.

  The data is owned by the caller of the function.

#### Return value

Type: `SoupMessage`

The new `SoupMessage`, or `NULL` if `uri_string` could not be parsed.

The caller of the function takes ownership of the data, and is responsible for freeing it.
The return value can be `NULL`.